Name:		mp3splt-gtk
Version:	0.7.1
Release:	%mkrel 1
Summary:	GTK utility to split MP3 and Ogg Files without decoding
#Source0:	http://ioalex.net/testing_downloads/snapshots/%{rev}/%{name}-%{version}.tar.gz
Source0:	http://prdownloads.sourceforge.net/mp3splt/mp3splt-gtk-%{version}.tar.gz
Patch1:		mp3splt-gtk-0.7.0.932-fix_desktop_file.patch
URL:		http://mp3splt.sourceforge.net
Group:		Sound
License:	GPLv2+
BuildRequires:  gstreamer0.10-devel
BuildRequires:  libgstreamer-plugins-base-devel
BuildRequires:	libmp3splt-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	libpng-devel
BuildRequires:	audacious-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gnomeui2-devel
BuildRequires:	gettext-devel

%description
GTK utility to split mp3 and ogg files selecting a begin and an end time
position, without decoding. It is very useful to split large mp3/ogg
to make smaller files or to split entire albums to obtain original tracks.

%prep
%setup -q
%patch1 -p0 -b .desktop_fix

%build
autoreconf -vfi
%configure2_5x \
	--disable-rpath \
	--disable-doxygen_doc \
	--enable-gtk3 \
	--enable-audacious
%make V=1

%install
rm -rf %{buildroot}
%makeinstall_std

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
	--remove-category=Application \
	--dir=%{buildroot}%{_datadir}/applications/ \
	%{name}.desktop

%find_lang %{name} --with-gnome

#there's no automatic way to add .omf files to lang list
for omf in %{buildroot}%{_datadir}/omf/%{name}/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}*.*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*




%changelog

* Wed Nov 16 2011 wally <wally> 0.7.1-1.mga2
+ Revision: 168308
- drop unneeded P2
- new version 0.7.1

* Fri Oct 14 2011 wally <wally> 0.7.0.934-1.mga2
+ Revision: 155215
- new snapshot

* Fri Oct 07 2011 wally <wally> 0.7.0.932-1.mga2
+ Revision: 152877
- new snapshot 0.7.0.932
- drop P0 and rediff P1
- add P2 to fix build with gtk3
- disable doc build
- fix summary and description
- imported package mp3splt-gtk


* Sun Mar 06 2011 Jani Välimaa <wally@mandriva.org> 0.6.1a-1mdv2011.0
+ Revision: 642305
- new version 0.6.1a
- add patches to fix Makefile and .desktop file
- use upstream .desktop file

* Fri Oct 01 2010 Jani Välimaa <wally@mandriva.org> 0.6-1mdv2011.0
+ Revision: 582294
- new version 0.6
- drop unneeded patch

* Fri Aug 27 2010 Jani Välimaa <wally@mandriva.org> 0.5.9-1mdv2011.0
+ Revision: 573592
- import mp3splt-gtk

